package io.renren.modules.app.service;

import java.util.List;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.entity.FwxxEntity;
import io.renren.modules.app.entity.SqwxzqEntity;
import io.renren.modules.app.entity.YwpzEntity;

/**
 * 房屋维修单审核
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-04-11 10:12:38
 */
public interface FwwxdshService extends IService<SqwxzqEntity> {

	/**
	 * 分页模糊查询
	 * 
	 * @param pageNum
	 * @param pageSize
	 * @param sqwxzqEntity
	 * @return
	 */
	PageInfo<SqwxzqEntity> queryByPage(Integer pageNum, Integer pageSize, SqwxzqEntity sqwxzqEntity);

	void updatedjzt(SqwxzqEntity sqwxzqEntity);

	void updateqxsh(SqwxzqEntity sqwxzqEntity);

	void updatebh(SqwxzqEntity sqwxzqEntity);

	/**
	 * 单个或批量删除
	 * 
	 * @param ids
	 */
	void deleteBatch(String[] ids);

	PageInfo<SqwxzqEntity> queryByPageC(Integer pageNum, Integer pageSize, SqwxzqEntity sqwxzqEntity);

	PageInfo<FwxxEntity> queryByPageF(Integer pageNum, Integer pageSize, FwxxEntity fwxxEntity);

	void insertft(YwpzEntity ywpzEntity);

	List<FwxxEntity> selectftfw(SqwxzqEntity sqwxzqEntity);

	void deleteft(SqwxzqEntity sqwxzqEntity);

	void inserthb(YwpzEntity ywpzEntity);

	PageInfo<SqwxzqEntity> queryByPageHB(Integer pageNum, Integer pageSize, SqwxzqEntity sqwxzqEntity);

	void deleteHB(SqwxzqEntity sqwxzqEntity);

	PageInfo<SqwxzqEntity> queryByPageJS(Integer pageNum, Integer pageSize, SqwxzqEntity sqwxzqEntity);

	void insertjs(YwpzEntity ywpzEntity);

	void deleteJS(SqwxzqEntity sqwxzqEntity);

	PageInfo<YwpzEntity> queryByPageYZTK(Integer pageNum, Integer pageSize, YwpzEntity ywpzEntity);

	FwxxEntity selectfwxq(FwxxEntity fwxxEntity);

	void insertyztk(YwpzEntity ywpzEntity);

	void deleteyztk(YwpzEntity ywpzEntity);

	void insertyzxh(YwpzEntity ywpzEntity);

	PageInfo<YwpzEntity> queryByPageYZXH(Integer pageNum, Integer pageSize, YwpzEntity ywpzEntity);
	
	void zqdjbhjsdbh();
	
	PageInfo<FwxxEntity> queryByPageZQMX(Integer pageNum, Integer pageSize, YwpzEntity ywpzEntity);
	
	void ftddddd();
	
	void ftddddd2();
}
